<?php
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
//
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
$IdUsu=$_SESSION['SYS_USER_ID'];

include("rep_productos2_bx.php");

$AT=gs("at","usuarios","id_usuario=$IdUsu");
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Stock Precios por Almacen</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}


$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<!----------------------------------------->
<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->
<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="rep_productos2.php" style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">STOCK / PRECIOS POR ALMACEN</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 35px; top: 121px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 138px; width: 177px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"N","N");
    }
?>
</select>

<div class="s1" style="left: 221px; top: 121px; width: 52px;">
CODIGO</div>
<input name="TxtCod" type="text" id="TxtCod" 
class="lt" style="left: 221px; top: 139px; width: 93px" 
value="<?php echo $StrCod;?>"  
tabindex="<?php echo ++$TI;?>" />

<div class="s1" style="left: 326px; top: 121px; width: 136px;">
LINEA DE PRODUCTO</div>
<select name="CboLin" id="CboLin" 
class="lt" style="left: 323px; top: 139px; width: 137px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("lin_nombre","lineas","id_linea>0",$StrLin,"S","");?>
</select>
<div class="s1" style="left: 471px; top: 121px; width: 424px;">
  DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 471px; top: 139px; width: 461px" 
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 942px; top: 121px; width: 86px;">
MARCA</div>
<select name="CboMar" id="CboMar" 
class="lt" style="left: 940px; top: 139px; width: 126px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("mar_nombre","marcas","id_marca>0",$StrMar,"S","");?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->

<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 409px; overflow: auto">
<table id="Exportar_a_Excel">
<thead>
<tr>
<td colspan="8" height="18" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr >
<th width="63" 	bgcolor="#999999" align="left">CODIGO</th>
<th width="157" bgcolor="#999999" align="left">LINEA</th>
<th width="363" bgcolor="#999999" align="left">DESCRIPCION</th>
<th width="144" bgcolor="#999999" align="left">MARCA</th>
<th width="69"  bgcolor="#999999" align="right">PRE.MIN</th>
<th width="50"  bgcolor="#999999" align="right">STOCK</th>
</tr>

</thead>
<tbody>
<?php		  		
$s="SELECT COD,LIN,DES,MAR,STOCK,ID_ALM,ID_PRO,FAB,MODELO,PV_MIN
	FROM vis_productos_stock2
	WHERE $FF ORDER BY DES,MAR ";
	
	$result = grs($s);
	while ($row = $result->fetch_assoc()){		
	?>
	<tr>
	<td >'<?php echo $row['COD']?></td>
    <td><?php echo vbl($row['LIN'],22);?></td>
    <td><?php echo vbl($row['DES'],51);?></td>
    <td><?php echo vbl($row['MAR'],18);?></td>			 
	<td align="right"><?php echo $row['PV_MIN']?></td>					 
	<td align="right"><?php echo $row['STOCK']?></td>	 
	</tr>
	<?php
}
?>
</tbody>		  
</table>
</div>

<!----------------------------------------->
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 220px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($w,$StrAlm,$StrCod,$StrLin,$StrDes,$StrMar);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrAlm,$StrCod,$StrLin,$StrDes,$StrMar){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE PRODUCTOS PRECIOS Y STOCK POR ALMACEN",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------
if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCod)>0){
$_ENC=vbl("CODIGO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrCod.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrLin)>0){
$_ENC=vbl("LINEA.PRODUCTO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrLin.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);
//
$_ENC=vbl("CODIGO".vbfill(" ",12),12);
$_ENC=$_ENC." ".vbl("LINEA".vbfill(" ",11),11);
$_ENC=$_ENC." ".vbl("FABRICANTE".vbfill(" ",15),15);
$_ENC=$_ENC." ".vbl("MODELO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",25),25);
$_ENC=$_ENC." ".vbr(vbfill(" ",6)."PRECIO",6);
$_ENC=$_ENC." ".vbr(vbfill(" ",6)."STOCK",5);
$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT COD,LIN,DES,MAR,STOCK,ID_ALM,ID_PRO,FAB,MODELO,PV_MIN
	FROM vis_productos_stock2
	WHERE $w ORDER BY DES,MAR ";
$result = grs($s);
while ($row = $result->fetch_assoc()){
	$_ENC=vbl($row['COD'].vbfill(" ",12),12);
	$_ENC=$_ENC." ".vbl($row['LIN'].vbfill(" ",11),11);
	$_ENC=$_ENC." ".vbl($row['FAB'].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl($row['MODELO'].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row['DES'].vbfill(" ",25),25);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).NF2($row[4],1),6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",5).$row[5],5);
	$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	

$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="precios_por_almacen.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 128px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>
</div>
</div>
</body>
</html>
